'use client'
import { AuthContext, AuthContextProviderProps } from "@/providers";
import { ReactNode } from "react"

type CAuthProviderProps = {
    children?:ReactNode;
    authProps:AuthContextProviderProps
}

export default function CAuthProvider(props:CAuthProviderProps){
    
    return (
        <AuthContext.Provider value={props.authProps}>{props.children}</AuthContext.Provider>
    )
}